﻿Imports System.ComponentModel
Imports Hartmann_Statistik.HartmannDts

Public Class dlgPlan

    Private Sub dlgPlan_Closing(sender As Object, e As CancelEventArgs) Handles Me.Closing

        If Me.DialogResult = DialogResult.Cancel Then Exit Sub

        If String.IsNullOrWhiteSpace(NrTextBox.Text) Then
            epPlan.SetError(NrTextBox, "Angabe der Nummer ist erforderlich.")
            e.Cancel = True
        Else
            epPlan.SetError(NrTextBox, String.Empty)
        End If

        If String.IsNullOrWhiteSpace(EinrichtungsnameTextBox.Text) Then
            epPlan.SetError(EinrichtungsnameTextBox, "Angabe des Einrichtungnamens ist erforderlich.")
            e.Cancel = True
        Else
            epPlan.SetError(EinrichtungsnameTextBox, String.Empty)
        End If

    End Sub

    Private Sub dlgPlan_Load(sender As Object, e As EventArgs) Handles MyBase.Load

        If Me.PlanBindingSource.At(Of HartmannDts.PlanRow).RowState = DataRowState.Detached Then
            Me.Text &= " anlegen."
        Else
            Me.Text &= " bearbeiten."
        End If

        ErledigtCheckBox.CheckState = CheckState.Unchecked
        BerechnenCheckBox.CheckState = CheckState.Unchecked

    End Sub
End Class